%define modulefile_path /usr/local/share/Modules/modulefiles/mono
%define modulefile_path_file /usr/local/share/Modules/modulefiles/mono/%{version}

Version: 3.2.6
%define nversion %(echo %{version} | tr -d .)
Summary: Mono
Name: mono%{nversion}-opt
%define MonoPath /usr/local/mono/%{version}
Release: 2.1%{?dist}
Packager: Timotheus Pokorra <timotheus.pokorra@solidcharity.com>
License: GPL
Group: Development/Languages/Mono
BuildRequires: gcc libtool bison gettext make bzip2 automake gcc-c++ patch dos2unix libgdiplus
Source: mono-%{version}.tar.gz
Patch0: monodoc.patch
Requires: environment-modules

%description
Mono

%package devel
License:      GPL
Group:        Development/Libraries
Summary:      development files for Mono
Requires:     %{name} = %{version}
%description devel
Development files for Mono

%prep
%setup -q -n mono-%{version}
%patch0 -p1

%build
# Configure and make source
./configure --prefix=%{MonoPath}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -iname "*.dll.so" -exec rm '{}' ';'
find %{buildroot} -iname "*.exe.so" -exec rm '{}' ';'
# fix problem with symbolic link for mono pointing at absolute path
#ln -sf mono-sgen %{buildroot}/%{MonoPath}/bin/mono
#cp ../../SOURCES/env.sh %{buildroot}/%{MonoPath}
#chmod a+x %{buildroot}/%{MonoPath}/env.sh
rm -f %{buildroot}/%{MonoPath}/share/libgc-mono/README.OS2
rm -f %{buildroot}/%{MonoPath}/share/libgc-mono/README.Mac
rm -f %{buildroot}/%{MonoPath}/share/libgc-mono/README.win32

mkdir -p %{buildroot}/%{modulefile_path}
cat <<ENDCOREMODULE > %{buildroot}/%{modulefile_path_file}
#%Module

# NOTE: This is an automatically-generated file!  (generated by the
# %{name} rpm).  Any changes made here will be lost a) if the RPM is
# uninstalled, or b) if the RPM is upgraded or uninstalled.

proc ModulesHelp { } {
   puts stderr "This module adds %{name} %{version} to various paths"
}

module-whatis   "Sets up %{name} %{version} in various paths"

prepend-path PATH "%{MonoPath}/bin"
prepend-path LD_LIBRARY_PATH "%{MonoPath}/lib"
prepend-path LIBRARY_PATH "%{MonoPath}/lib"
prepend-path MANPATH "%{MonoPath}/share/man"
append-path -d { } LDFLAGS "-L%{MonoPath}/lib"
append-path -d { } INCLUDE "-I%{MonoPath}/include"
append-path CPATH "%{MonoPath}/include"
append-path -d { } LOCAL_LDFLAGS "-L%{MonoPath}/lib"
append-path -d { } LOCAL_INCLUDE "-I%{MonoPath}/include"
append-path -d { } LOCAL_CFLAGS "-I%{MonoPath}/include"
append-path -d { } LOCAL_CXXFLAGS "-I%{MonoPath}/include"
ENDCOREMODULE

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%exclude %{MonoPath}/include
%exclude %{MonoPath}/lib/pkgconfig
%exclude %{MonoPath}/lib/*.a
%exclude %{MonoPath}/lib/*.so
%{MonoPath}
%dir %{modulefile_path}
%{modulefile_path_file}

%files devel
%{MonoPath}/include
%{MonoPath}/lib/pkgconfig
%{MonoPath}/lib/*.so
%{MonoPath}/lib/*.a

%changelog
* Sat Jan 18 2014 Timotheus Pokorra <timotheus.pokorra@solidcharity.com>
- Building Mono 3.2.6
* Thu Dec 05 2013 Timotheus Pokorra <timotheus.pokorra@solidcharity.com>
- including a patch so that mono-tools build
* Mon Dec 02 2013 Timotheus Pokorra <timotheus.pokorra@solidcharity.com>
- Building Mono 3.2.5
* Wed Sep 26 2013 Timotheus Pokorra <timotheus.pokorra@solidcharity.com>
- Building Mono 3.2.3
* Wed Aug 14 2013 Timotheus Pokorra <timotheus.pokorra@solidcharity.com>
- Building Mono 3.2.1
* Wed Jul 31 2013 Timotheus Pokorra <timotheus.pokorra@solidcharity.com>
- split into mono-opt and mono-opt-devel, required by SUSE packaging
* Mon Jul 29 2013 Timotheus Pokorra <timotheus.pokorra@solidcharity.com>
- Building Mono 3.2.0
* Wed Jul 17 2013 Timotheus Pokorra <timotheus.pokorra@solidcharity.com>
- Building Mono 3.0.12
